Redmine - Patch #23027

Lighter colors for revision info
2016-06-09 11:38 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Description

In RepositoriesController#revision screen, it is a little bit hard to find commit messages because there are many detailed information
(e.g. ID, Parent, Child). Probably commit message is important information for many people, | think it should be more obvious.

This patch set lighter colors for revision info like journal details (see #20370) to make commit messages more obvious.
Related issues:
Related to Redmine - Patch #23146: Show revision details using the same struc... Closed

History

#1 - 2016-06-09 14:16 - Go MAEDA

- File revision-info-lighter-color.diff added

#2 - 2016-06-13 03:10 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2016-06-22 13:40 - Toshi MARUYAMA
LGTM.

#4 - 2016-06-22 14:25 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

#5 - 2016-06-22 16:53 - Marius BALTEANU

For consistency, | would like to suggest three new changes to this patch:
1. move the "Added by Jane Doe 5 months ago" line above the ID, Parent and Child information and add the bottom dotted border
2.show the ID, Parent and Child with bullet points and indented to right in the same way how the issue attributes are shown in the journals
3. show user avatar for commit author.

In this way, the commit message will have the same structure like the journal and it will be more easily for the user to found the information.

@Go MAEDA, if you agree with these proposals, | can update your patch or if it is not clear enough, | can make a print-screen with my suggestions.
#6 - 2016-06-23 04:46 - Go MAEDA
Marius BALTEANU wrote:

For consistency, | would like to suggest three new changes to this patch:
1. move the "Added by Jane Doe 5 months ago" line above the ID, Parent and Child information and add the bottom dotted border

2.show the ID, Parent and Child with bullet points and indented to right in the same way how the issue attributes are shown in the journals
3. show user avatar for commit author.

It would be great (most interesting thing for me is showing user's icon) but | think you would be better to create another issue because these features
are much bigger improvements than my 3 lines patch.

#7 - 2016-06-23 12:32 - Marius BALTEANU
| have added the patch to #23146.

Unfortunately, it is not compatible with your patch because | changed from table to ul lists and the rules from this patch applies to table. Please take a
look on my changes and if you like them, maybe you replace the current ticket with that one or let me know how do you want to proceed.

Also, | made a mistake in my previous comment, the user avatar was already displayed in that page, but before the revision number instead of user.

#8 - 2016-06-25 10:42 - Go MAEDA

- Related to Patch #23146: Show revision details using the same structure and look from the journals details added

#9 - 2016-06-25 10:46 - Go MAEDA
- Target version deleted (3.4.0)

Marius BALTEANU wrote:

| have added the patch to #23146.

Thanks, your patch is much better than mine.

#10 - 2016-09-04 06:35 - Go MAEDA

- Status changed from New to Closed

Implemented as a part of #23146.

Files
screenshot.png 35.8 KB 2016-06-09 Go MAEDA
revision-info-lighter-color.diff 707 Bytes 2016-06-09 Go MAEDA
